Data Fields

# OptionData Struct Reference

Data of an option. More...

`#include <getoptdata.h>`

## Data Fields
byte | id
| Unique identification of this option data, often the same as shortname.
char | shortname
| Short option letter if available, else use `'` '.
uint16 | flags
| Option data flags.
const char * | longname
| Long option name including '-'/'--' prefix, use `NULL` if not available.

## Detailed Description

Data of an option.

Definition at line 24 of file getoptdata.h.

## Field Documentation

uint16 OptionData::flags

Option data flags.

See also:
  OptionDataFlags

Definition at line 27 of file getoptdata.h.

Referenced by GetOptData::GetOpt().

The documentation for this struct was generated from the following file:

- src/misc/getoptdata.h